# cancelSubscription

### Arguments

| Argument                                                                                                                           | Description                       |
| ---------------------------------------------------------------------------------------------------------------------------------- | --------------------------------- |
| input ([CancelSubscriptionInput](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/cancel-subscription-input.md)!) | Parameters for CancelSubscription |

### CancelSubscriptionInput Arguments

| Argument                                                                                                                    | Description                                                                               |
| --------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| token ([ID](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/id.md))                                       | The token of the subscription to cancel, only needed if a project access token is used.   |
| id ([ID](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/id.md))                                          | The ID of the subscription to cancel, only needed if a project access token is used.      |
| skipTwoStepCancellation ([Boolean](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/boolean.md))           | If two-step cancellation is enabled it can be skipped                                     |
| skipCancellationConfirmationEmail ([Boolean](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/boolean.md)) | Skip sending the standard cancellation confirmation email to the customer.                |
| cancellationNotes ([String](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/string.md))                   | Why did this customer decide to cancel?                                                   |
| skipContractTermsEnforcement ([Boolean](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/boolean.md))      | If a customer cannot be cancelled due to active commitments, this process can be skipped. |

### Return fields

#### errors (\[[ModelValidationError](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/model-validation-error.md)!]!)

#### subscription ([Subscription](/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/objects/subscription.md))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/~/changes/v7t3tfYrVBDkXZZGoQGP/graphql-api/api-reference/mutations/cancel-subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
